Skip to content
Start here

Get Queue Purge Status

client.queues.purge.status(stringqueueId, PurgeStatusParams { account_id } params, RequestOptionsoptions?): PurgeStatusResponse { completed, started_at }
GET/accounts/{account_id}/queues/{queue_id}/purge

Get details about a Queue's purge status.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteQueues ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
queueId: string

A Resource identifier.

maxLength32
params: PurgeStatusParams { account_id }
account_id: string

A Resource identifier.

maxLength32
ReturnsExpand Collapse
PurgeStatusResponse { completed, started_at }
completed?: string

Indicates if the last purge operation completed successfully.

started_at?: string

Timestamp when the last purge operation started.

Get Queue Purge Status

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.queues.purge.status('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.completed);
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "completed": "completed",
    "started_at": "started_at"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "completed": "completed",
    "started_at": "started_at"
  },
  "success": true
}